Bug 11036 - kernel rpm build misconfigures the number of makes to do in parallel
kernel rpm build misconfigures the number of makes to do in parallel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-25 12:27 EDT by Nigel Metheringham
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 17:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Metheringham 2000-04-25 12:27:12 EDT
In the kernel spec file the actual compile is done with:-
  %ifarch i386 i586 i686
    make -j $NRPROC bzImage MAKE="make -j $NRPROC"
  %else
    make boot MAKE="make -j $NRPROC"
  %endif
    make -j $NRPROC modules MAKE="make -j $NRPROC"

This should be:-
  %ifarch i386 i586 i686
    make -j $NRPROC bzImage
  %else
    make -j $NRPROC boot
  %endif
    make -j $NRPROC modules

The current version causes considerably more than $NRPROC build processes
to be happening at once on machines with more than one CPU.

[Each subprocess can fire off $NRPROC processes, which can also.... so you
tend towards $NRPROC ^ subdirectory-depth processes :-)

	Nigel.
Comment 1 Michael K. Johnson 2000-08-08 18:39:57 EDT
Unfortunately, the makefiles do not work right, so the jobserver
doesn't work correctly.  We used to do make -j $NRPROC and it
did not spawn enough processes.

As a tradeoff, I'm going to try setting NRPROC=2 on all SMP machines
on the theory that 2^n will be enough processes but smaller than m^n
and therefore not take over machines so badly.  But to go back to
just plain make -j will slow down our builds too much and get in
the way of our building quickly...

Note You need to log in before you can comment on or make changes to this bug.